[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomListView.DoOwnerDataHint

Signals the OnDataHint event handler (when assigned).

## Declaration

Source position: comctrls.pp line 1559

`protected function TCustomListView.DoOwnerDataHint(`
`AStartIndex: Integer;`
`AEndIndex: Integer`
`):Boolean; virtual;`

## Arguments

`AStartIndex` |  | First index position needed for the visible virtual list items when OwnerData is enabled.
`AEndIndex` |  | Final index position needed for the visible virtual list items when OwnerData is enabled.

## Function result

True if the OnDataHint event handler is assigned.

## Description

The AStartIndex and AEndIndex parameters are passed as arguments to the OnDataHint event handler. They contain the index positions for the virtual list items which are visible on the control. The values are extracted from a caching hint provided by the widgetset class instance.

The return value is True if the OnDataHint event handler has been assigned for the control.

Use OnDataHint to perform actions needed to pre-load the content for the specified range of list items into the virtual data source when OwnerData is enabled.

Use the OnData event handler to populate properties in the currently selected list item when OwnerData is enabled.

## Version info

Modified in LCL 3.0 to provide support for caching hints in the widgetset class on the Windows platform.

## See also

TCustomListView.OnDataHint |  | Event handler signalled to load a range of cached list items in the virtual storage for the control.
TCustomListView.OnData |  | Event handler signalled to the value(s) for a list item when OwnerData (virtual mode) has been enabled.